#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <limits.h>


int main(int argc, char** argv) {


  if (argc != 4) {
    printf("usage: %s <filename> <npoints> <maxcoord>\n", argv[0]);
    exit(1);
  }

 
  int i, x,y, npoints, maxcoord;
  FILE* fp; 

  npoints = (int)strtol(argv[2], NULL, 10); 
  maxcoord= (int)strtol(argv[3], NULL, 10);  
  printf("npoints=%d maxcoord=%d\n", npoints, maxcoord);
  
  printf("creating file %s..", argv[1]);
  /* open file for writing ascii */
 fp = fopen(argv[1], "w"); 
  if (!fp) {
    printf("cannot open file %s\n", argv[1]); 
    exit(1);
  }
  assert(fp); 
  
  /* initialize random number generator */
  sranddev();
  for (i=0; i<npoints; i++) {
    x = rand() %(maxcoord+1);
    y = rand() %(maxcoord+1);
    fprintf(fp, "%d %d ", x,y);
    x = rand() %(maxcoord+1);
    y = rand() %(maxcoord+1);
    fprintf(fp, "%d %d\n", x,y);
  }
  fclose(fp);
  printf("done\n");

  return 1;
}
